$(document).ready(function() {
	var articleId = GetQueryString("articleId");
	console.log(articleId);
	var industryShow = function(data, $id) {
		if(data != undefined && data.length != 0) {
			var subs = new Array();
			if(data.indexOf(',')) {
				subs = data.split(',');
			} else {
				subs[0] = data;
			}
			if(subs.length > 0) {
				var html = [];
				for(var i = 0; i < subs.length; i++) {
					html.push("<li>" + subs[i] + "</li>");
				};
				document.getElementById($id).innerHTML = html.join('');
			}
		}
	}

	function proInfoMain() {
		$.ajax({
			url: "/ajax/article/query",
			dataType: 'json', //数据格式类型
			type: 'GET', //http请求类型
			data: {
				"articleId": articleId
			},
			timeout: 10000, //超时设置
			success: function(data) {
				console.log(data);
				var $info = data.data || {};
				if(data.success && data.data) {
					$profesor = data.data.professor;
					$("#proTitle").text($info.articleTitle);
					$("#nameS").text($profesor.name);
					$("#orgName").text($profesor.orgName);
					if($profesor.title) {
						if($profesor.office) {
							$("#title").text($profesor.title + " , ");
						} else {
							$("#title").text($profesor.title);
						}
					}
					if($profesor.office) {
						$("#office").text($profesor.office);
					}
					if($profesor.department) {
						$("#department").text($profesor.department);
					}
					if($profesor.address) {
						$("#address").text($profesor.address);
					}
					if($profesor.hasHeadImage) {
						$("#headImg").attr("src", "/images/head/" + $info.professorId + "_l.jpg")
					}
					if($info.subject) {
						industryShow($info.subject, "subjectList");
					} else {
						$("#subjectList").parent().hide();
					}
					if($info.industry) {
						industryShow($info.industry, "industryList");
					} else {
						$("#industryList").parent().hide();
					}
					if($info.articleContent) {
						$("#main_content").html($info.articleContent);
						var oImg=$("#main_content").find("img");						
						for(var i = 0; i < oImg.length; i++) {
							(function(n) {
								alert(3)
								if($("#main_content").find("img").eq(n).width()>$("#main_content").find("p").width()){									
									$("#main_content").find("img").eq(n).width("100%")
								}																
							})(i);
						}
					}
				}
			},
			error: function() {
				return;
			}
		});
	}
	proInfoMain();
})